{% extends 'front_end/base.html' %}
{% load staticfiles %}
{% load static %}
{% block style %}
<link rel="stylesheet" href="{% static 'css/carousal.css' %}">
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

    <title>HOME PAGE</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<link href="https://fonts.googleapis.com/css?family=Josefin+Sans:300,400,700&subset=latin-ext" rel="stylesheet">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block body %}
<body class='body'>
    <!--Item slider text-->
    <div class="container">
        <div class="row" id="slider-text">
            <div class="col-md-6">
                <h2>Top Animes</h2>
            </div>
        </div>
    </div>

    <div class="container-fluid">

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="carousel multi-item-carousel slide" id="myCarousel" data-ride="carousel">
                    <div class="carousel-inner">
                        {% block content %}
                        {% for anime_item in anime %}
                        <div class="item {% if forloop.first %} active  {%     endif %}">
                            <div class="col-xs-12 col-sm-6 col-md-2">
                                <div>
                                    <a href="{% url 'front_end:anime-detail' anime_item.anime_id %}"><img height="140" src="{{ anime_item.image_url }}"
                                                    class="img-responsive center-block"></a>
                                </div>
                                <div>
                                    <h4 class="text-center" style="margin-bottom:0px">{{ anime_item.title }}</h4>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endblock %}
                    </div>
                </div>
                <div id="slider-control">
                    <a class="left carousel-control" href="#myCarousel" data-slide="prev"><i
                            class="glyphicon glyphicon-chevron-left"></i></a>
                    <a class="right carousel-control" href="#myCarousel" data-slide="next"><i
                            class="glyphicon glyphicon-chevron-right"></i></a>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $(document).ready(function(){

    $('#myCarousel').carousel({ interval: 3000 });

    $('.multi-item-carousel .item').each(function(){
    var itemToClone = $(this);

    for (var i=1;i<6;i++) {
    itemToClone = itemToClone.next();

    if (!itemToClone.length) {
    itemToClone = $(this).siblings(':first');
    }

    itemToClone.children(':first-child').clone()
    .addClass("cloneditem-"+(i))
    .appendTo($(this));
    }
    });
    });


    </script>
    </body>

{% endblock %}
















